Loading...
Searching...
No Matches
xccdf_target_identifier Struct Reference
XCCDF

Can be either <target-id-ref> or some other element. More...

`#include <xccdf_benchmark.h>`

## Public Member Functions

OSCAP_API struct xccdf_target_identifier * | xccdf_target_identifier_new (void)
OSCAP_API struct xccdf_target_identifier * | xccdf_target_identifier_clone (const struct xccdf_target_identifier *ti)
OSCAP_API void | xccdf_target_identifier_free (struct xccdf_target_identifier *ti)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
OSCAP_API void * | xccdf_target_identifier_get_xml_node (const struct xccdf_target_identifier *item)
OSCAP_API const char * | xccdf_target_identifier_get_system (const struct xccdf_target_identifier *item)
OSCAP_API const char * | xccdf_target_identifier_get_href (const struct xccdf_target_identifier *item)
OSCAP_API const char * | xccdf_target_identifier_get_name (const struct xccdf_target_identifier *item)
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
OSCAP_API bool | xccdf_target_identifier_set_xml_node (struct xccdf_target_identifier *ti, void *node)
OSCAP_API bool | xccdf_target_identifier_set_system (struct xccdf_target_identifier *ti, const char *newval)
OSCAP_API bool | xccdf_target_identifier_set_href (struct xccdf_target_identifier *ti, const char *newval)
OSCAP_API bool | xccdf_target_identifier_set_name (struct xccdf_target_identifier *ti, const char *newval)

## Data Fields

bool | any_element
xmlNodePtr | element
char * | system
char * | href
char * | name

## Detailed Description

Can be either <target-id-ref> or some other element.

See also
  xccdf_result

Note
  XCCDF 1.2+ only

The documentation for this struct was generated from the following files:

- item.h
- xccdf_benchmark.h